Results 1 to 6 of 6

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3G (3.1.3 / 5.12.01) -- need to go to iOS 4?

  1. #1
    Default 3G (3.1.3 / 5.12.01) -- need to go to iOS 4?
    I've searched the forums a fair bit but I apologize if this is clearly answered elsewhere.

    I have a 3G with 3.1.3, 5.12.01 that I want to jailbreak/unlock for travel. From everything I've read, it seems that in order to unlock (not just jailbreak) I need to upgrade to the new iOS 4 and then run the latest redsn0w 0.9.5 .... is this correct?

    Thanks for any guidance.

  2. #2
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    You dont have to. You can but dont have to. Add source "repo666.ultrasn0w.com" and install ultrasn0w to unlock.

    If you are not already jailbroken, use Redsn0w. If you stay on 3.1.3, you will have to download the 3.1.2 ipsw (not 3.1.3) so redsn0w will read it and run properly.

    You can use the same process if you upgrade to 4.0, but redsn0w will read the 4.0 ipsw on 4.0. Use ultrasn0w to unlock still.

  3. The Following User Says Thank You to i.Annie For This Useful Post:

    ponjovi (2010-06-27)

  4. #3
    Thanks Annie. Any reasons *not* to update to 4? e.g., the JB is still unstable, or it's harder to restore (if that becomes necessary)?

  5. #4
    Green Apple
    Join Date
    Jun 2010
    Location
    SHAOLYNN
    Posts
    70
    Thanks
    2
    Thanked 1 Time in 1 Post
    Yeah, is it safe to jb/unlock 4.0 yet?

  6. #5
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Ponjovi, you may upgrade for personal preference.

    I have not done so yet and I dont know if I will or not. Some tweaks that I love on my phone right now isnt compatible with iOS 4 so thats why I havent upgraded. Check out the Official Compatibility list for 4.0 to see what tweaks or Cydia apps you have that you really wanna keep and see if they are compatible. You can then determine if multitasking, camera zoom, and a springboard wallpaper (among some other new features of 4.0) is worth trading up some Cydia appd you might really like to keep.

    I might upgrade in a couple days when I get time. Still contemplating whether my battery control is worth giving up or not, haha.

    Other than that, the jailbreak process remains the same. Easy and painless for 3G phones for the most part. This will not provide any difficulty to restore that under a normal circumstance would.

    Other than that, the jailbreak process remains the same. Easy and painless for 3G phones for the most part. This will not provide any difficulty to restore that under a normal circumstance would.
    Last edited by i.Annie; 2010-06-27 at 09:49 PM. Reason: Automerged Doublepost

  7. The Following User Says Thank You to i.Annie For This Useful Post:

    ponjovi (2010-06-27)

  8. #6
    Great, thanks for the info Anniex, much appreciated.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •